Eclipse GEF 3.3

## org.eclipse.gef
Interface GraphicalEditPart

All Superinterfaces:
  EditPart

All Known Subinterfaces:
  ConnectionEditPart, NodeEditPart

All Known Implementing Classes:
  AbstractConnectionEditPart, AbstractGraphicalEditPart

public interface GraphicalEditPart
extends EditPart

A Specialization of `EditPart` for use with `GraphicalViewers`. The visual part of a GraphicalEditPart is a `Figure`.

IMPORTANT: This interface is not intended to be implemented by clients. Clients should inherit from `AbstractGraphicalEditPart`. New methods may be added in the future.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Method Summary
`void` `addNodeListener(NodeListener listener)` Adds a NodeListener to the EditPart.
`IFigure` `getContentPane()` The Figure into which childrens' Figures will be added.
`IFigure` `getFigure()` Returns the primary Figure representing this GraphicalEditPart.
`java.util.List` `getSourceConnections()` Returns the source connections for this GraphicalEditPart.
`java.util.List` `getTargetConnections()` Returns the target connections for this GraphicalEditPart.
`void` `removeNodeListener(NodeListener listener)` Removes the first occurance of the specified listener from the list of listeners.
`void` `setLayoutConstraint(EditPart child, IFigure figure, java.lang.Object constraint)` Sets the specified constraint for a child's Figure on the `content pane` figure for this GraphicalEditPart.

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Method Detail

### addNodeListener

    public void addNodeListener(NodeListener listener)

  Adds a NodeListener to the EditPart. Duplicate calls result in duplicate notification.

  Parameters:
    `listener` - the Listener

### getFigure

    public IFigure getFigure()

  Returns the primary Figure representing this GraphicalEditPart. The parent will add this Figure to its content pane. The Figure may be a composition of several Figures.

  Returns:
    this EditPart's Figure

### getSourceConnections

    public java.util.List getSourceConnections()

  Returns the source connections for this GraphicalEditPart. This method should only be called by the EditPart itself, and its helpers such as EditPolicies.

  Returns:
    the source connections

### getTargetConnections

    public java.util.List getTargetConnections()

  Returns the target connections for this GraphicalEditPart. This method should only be called by the EditPart itself, and its helpers such as EditPolicies.

  Returns:
    the target connections

### getContentPane

    public IFigure getContentPane()

  The Figure into which childrens' Figures will be added. May return the same Figure as `getFigure()`. The GraphicalEditPart's `primary Figure` may be composed of multiple figures. This is the figure in that composition that will contain children's figures.

  Returns:
    the content pane Figure

### removeNodeListener

    public void removeNodeListener(NodeListener listener)

  Removes the first occurance of the specified listener from the list of listeners. Does nothing if the listener was not present.

  Parameters:
    `listener` - the listener being removed

### setLayoutConstraint

    public void setLayoutConstraint(EditPart child,
                                    IFigure figure,
                                    java.lang.Object constraint)

  Sets the specified constraint for a child's Figure on the `content pane` figure for this GraphicalEditPart. The constraint will be applied to the content pane's `LayoutManager`. `revalidate()` is called on the content pane, which will cause it to layout during the next update.

  Parameters:
    `child` - the child GraphicalEditPart whose constraint is being set
    `figure` - the Figure whose constraint is being set
    `constraint` - the constraint for the draw2d `LayoutManager`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.